/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\Dark Palace\Mobiles\MaskOfDisaster.cs
Lines of code: 60
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{

	public class MaskOfDisaster : BaseCreature
	{
		public override bool DeleteCorpseOnDeath{ get{ return true; } }

		[Constructable]
		public MaskOfDisaster() : base( AIType.AI_Melee, FightMode.Weakest, 10, 5, 0.2, 0.4 )
		{
			Name = "a mask of disaster";
			Body = 417;
			Hue = 1892;

			SetStr( 0, 0 );
			SetDex( 10, 10 );
			SetInt( 10 );

			SetHits( 5000, 5000 );

			SetDamage( 0, 0 );
			Frozen = true;

			SetDamageType( ResistanceType.Physical, 0 );
			SetDamageType( ResistanceType.Energy, 100 );

			SetResistance( ResistanceType.Physical, 10 );
			SetResistance( ResistanceType.Fire, 10 );
			SetResistance( ResistanceType.Cold, 100 );
			SetResistance( ResistanceType.Poison, 100 );
			SetResistance( ResistanceType.Energy, 100 );

			SetSkill( SkillName.EvalInt, 90.1, 200.0 );
			SetSkill( SkillName.Magery, 120.0 );
			SetSkill( SkillName.MagicResist, 150.5, 200.0 );
			SetSkill( SkillName.Wrestling, 120.0 );

			Fame = 0;
			Karma = -15000;

			VirtualArmor = 50;
		}

		public override bool OnBeforeDeath()
		{
			Effects.SendLocationEffect( Location, Map, 0x376A, 10, 1 );
			return true;
		}

		public override bool BleedImmune{ get{ return true; } }
		public override bool AutoDispel{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool AlwaysMurderer{ get{ return true; } }

		public MaskOfDisaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}